Limit update row count

- « TableUpdate::execute

- TableUpdate::orderby »

- PHP Manual
- mysql_xdevapi\TableUpdate
- Limit update row count

# TableUpdate::limit

(No version information available, might only be in Git)

TableUpdate::limit — Limit update row count

### Description

public mysql_xdevapi\TableUpdate::limit(int `$rows`): mysql_xdevapi\TableUpdate

Set the maximum number of records or documents update.

### Parameters

`rows`

  The maximum number of records or documents to update.

### Return Values

A TableUpdate object.

### Examples

Example #1 mysql_xdevapi\TableUpdate::limit() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    $res = $table->update()
      ->set('level', 3)
      ->where('age > 15 and age < 22')
      ->limit(4)
      ->orderby(['age asc','name desc'])
      ->execute();

    ?>